Bug 1127887 - HA: rsync not installed on non-galera bootstrap nodes (edge case)
Summary: HA: rsync not installed on non-galera bootstrap nodes (edge case)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ga
: Installer
Assignee: Crag Wolfe
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 18:35 UTC by Crag Wolfe
Modified: 2014-08-21 18:08 UTC (History)
6 users (show)

Fixed In Version: openstack-foreman-installer-2.0.18-1.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, when puppet utility ran for the first time with include_galera parameter set to 'true' and other 'include' parameters (such as include_keystone) set to false, the 'rsync' package was not installed in Galera and the puppet utility would fail on the non-bootstrap Galera nodes. With this update, 'rsync' package is added as a requirement for all Galera nodes and the puppet utility no longer fails on the non-bootstrap nodes and Galera starts as expected.
Clone Of:
Environment:
Last Closed: 2014-08-21 18:08:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Crag Wolfe 2014-08-07 18:35:13 UTC
Description of problem:

The rsync package is not explicitly installed galera non-bootstrap nodes, but is required.  This error happens if most include_* params are set to false but include_galera = true (which explains why not encountered before, not a common test scenario).

Puppet output from non-bootstrap node:

Debug: /Stage[main]/Quickstack::Pacemaker::Galera/Exec[galera-bootstrap-OR-galera-property-exists]: The container Class[Quickstack::Pacemaker::Galera] will propagate my refresh event
Debug: Selboolean[rsync_client](provider=getsetsebool): Retrieving value of selboolean rsync_client
Debug: Executing '/usr/sbin/getsebool rsync_client'
Debug: Selboolean[rsync_client](provider=getsetsebool): Enabling persistence
Debug: Executing '/usr/sbin/setsebool -P rsync_client on'
Notice: /Stage[main]/Quickstack::Pacemaker::Rsync::Galera/Selboolean[rsync_client]/value: value changed 'off' to 'on'
Debug: /Stage[main]/Quickstack::Pacemaker::Rsync::Galera/Selboolean[rsync_client]: The container Class[Quickstack::Pacemaker::Rsync::Galera] will propagate my refresh event
Debug: Exec[rsync /etc/pki/galera](provider=posix): Executing check '/bin/false'
Debug: Executing '/bin/false'
Debug: /Stage[main]/Quickstack::Pacemaker::Rsync::Galera/Quickstack::Pacemaker::Rsync::Get[/etc/pki/galera]/Exec[rsync /etc/pki/galera]/returns: Exec try 1/360
Error: Could not find command 'rsync'

Comment 2 Crag Wolfe 2014-08-07 18:56:58 UTC
Patch posted: https://github.com/redhat-openstack/astapor/pull/342

Comment 7 Leonid Natapov 2014-08-18 10:05:11 UTC
No rsync errors noticed.
openstack-foreman-installer-2.0.20-1.el6ost

Comment 8 errata-xmlrpc 2014-08-21 18:08:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.